<?xml version="1.0" encoding="UTF-8"?>
<?eclipse version="3.0"?>
<plugin
   id="org.jpn.xucker.rcp.subplayer"
   name="Akj_subplayer Plug-in"
   version="2.0.0"
   provider-name=""
   class="org.jpn.xucker.rcp.subplayer.SubplayerPlugin">

   <runtime>
      <library name="akj_subplayer.jar">
         <export name="*"/>
      </library>
      <library name="draw2d.jar">
         <export name="*"/>
      </library>
      
      
      <library name="xucker_rcp.jar">
         <export name="*"/>
      </library>
      
      
    
      <library name="commons-primitives-1.0.jar">
         <export name="*"/>
      </library>
      <library name="commons-beanutils.jar">
         <export name="*"/>
      </library>
      <library name="commons-betwixt-0.6.jar">
         <export name="*"/>
      </library>
      <library name="commons-collections-2.1.1.jar">
         <export name="*"/>
      </library>
      <library name="commons-digester.jar">
         <export name="*"/>
      </library>
      <library name="commons-io-1.0.jar">
         <export name="*"/>
      </library>
      <library name="commons-lang-2.0.jar">
         <export name="*"/>
      </library>
      <library name="commons-logging.jar">
         <export name="*"/>
      </library>
      
        <library name="tritonus_share.jar">
         <export name="*"/>
      </library>
      
      <library name="jl1.0custom1.jar">
         <export name="*"/>
      </library>
         <library name="mp3spi1.9.2_remove_services.jar">
         <export name="*"/>
      </library>   
      
   </runtime>


   <requires>
      <import plugin="org.eclipse.ui"/>
      <import plugin="org.eclipse.core.runtime"/>
      <import plugin="org.eclipse.ui.views"/>
      <import plugin="org.eclipse.jface"/>
   </requires>


   <extension
        id="SubplayerApplication"
        point="org.eclipse.core.runtime.applications">
        <application>
            <run
                class="org.jpn.xucker.rcp.subplayer.SubplayerApplication">
            </run>
        </application>
    </extension>

   <extension
        point="org.eclipse.ui.perspectives">
        <perspective
            name="%perspectiveName"
            fixed="true"
            icon="icons/simpleconvert_icon16.png"
            class="org.jpn.xucker.rcp.subplayer.SubplayerPerspective"
            id="org.jpn.xucker.rcp.subplayer.subview">
           
        </perspective>
        
    </extension>
    
      <extension
         id="product"
         point="org.eclipse.core.runtime.products">
      <product
            application="org.jpn.xucker.rcp.subplayer.SubplayerApplication"
            name="akJ Subplayer ver 2.0.0 Alpha">
            
         <property
               name="windowImage"
               value="icons/icon16.png,icons/icon32.png">
         </property>
         
         <property
               name="aboutText"
               value="%aboutText">
         </property>
         
         <property
               name="aboutImage"
               value="icons/about.png">
         </property>
      
      </product>
   </extension>
      <extension
            point="org.eclipse.ui.views">
         <category
               name="SubPlayer"
               id="org.jpn.xucker.rcp.subplayer"/>
         <view
               class="org.jpn.xucker.rcp.subplayer.views.SubView"
               icon="icons/sample.gif"
               category="org.jpn.xucker.rcp.subplayer"
               name="SubView"
               id="org.jpn.xucker.rcp.subplayer.views.SubView"/>
               
               <view
               class="org.jpn.xucker.rcp.subplayer.views.LibralyView"
               icon="icons/sample.gif"
               category="org.jpn.xucker.rcp.subplayer"
               name="LibralyView"
               id="org.jpn.xucker.rcp.subplayer.views.LibralyView"/>
      </extension>
   
   
    <extension
point="org.eclipse.ui.commands">
<activeKeyConfiguration
keyConfigurationId="org.eclipse.ui.defaultAcceleratorConfiguration">
</activeKeyConfiguration>
<command
name="Com1"
description=""
id="ccc.com1">
</command>
<keyBinding
commandId="ccc.com1"
contextId="org.eclipse.ui.contexts.dialogAndWindow"
keySequence="Ctrl+Q"
keyConfigurationId="org.eclipse.ui.defaultAcceleratorConfiguration">
</keyBinding>
</extension>

    <extension
          point="org.eclipse.ui.actionSets">
       <actionSet
             label="ActionSet"
             visible="true"
             id="org.jpn.xucker.rcp.subplayer.actionSet">
          <menu
                label="Sample &amp;Menu"
                id="sampleMenu">
             <separator name="file/sampleGroup"/>
          </menu>
          
          
         
                
          <action
               
                label="%open"
                class="org.jpn.xucker.rcp.subplayer.actions.OpenAction"
                tooltip="Open File"
                icon="icons/sample.gif"
                menubarPath="file/additions"
                id="org.jpn.xucker.rcp.subplayer.actions.OpenAction"/>
                
                
                <action
               
                label="%save"
                class="org.jpn.xucker.rcp.subplayer.actions.SaveAction"
                tooltip="Save File"
                icon="icons/sample.gif"
                menubarPath="file/org.jpn.xucker.rcp.subplayer.actions.OpenAction"
                id="org.jpn.xucker.rcp.subplayer.actions.SaveAction"/>
               
               <!-- 
                  <action
               
                label="%edit"
                class="org.jpn.xucker.rcp.subplayer.actions.SaveAsAction"
                tooltip="Save As File"
                icon="icons/sample.gif"
                menubarPath="file/org.jpn.xucker.rcp.subplayer.actions.SaveAction"
                id="org.jpn.xucker.rcp.subplayer.actions.SaveAsAction"/>
                -->
                 
       </actionSet>
    </extension> 
    
    
      <extension
         point="org.eclipse.ui.preferencePages">
      <page
            class="org.jpn.xucker.rcp.subplayer.preferences.SubViewPage"
            name="SubView"
            id="org.jpn.xucker.rcp.subplayer.preferences.SubViewPage"/>
            
            <page
            class="org.jpn.xucker.rcp.subplayer.preferences.LabelPage"
            name="label"
            id="org.jpn.xucker.rcp.subplayer.preferences.LabelPage"/>
            
   </extension>
   
   <extension
         point="org.eclipse.ui.viewActions">
      <viewContribution
            targetID="org.jpn.xucker.rcp.subplayer.views.SubView"
            id="org.jpn.xucker.rcp.subplayer.views.SubView">
            <!--
               <action
               label="Stop"
               icon="icons/stop.png"
               tooltip="Stop"
               class="org.jpn.xucker.rcp.subplayer.actions.StopAction"
               
               toolbarPath="control"
               id="org.jpn.xucker.rcp.subplayer.actions.StopAction">
         </action>
         
             <action
               label="Play"
               icon="icons/play.png"
               tooltip="Play"
               class="org.jpn.xucker.rcp.subplayer.actions.PlayAction"
               
               toolbarPath="control"
               id="org.jpn.xucker.rcp.subplayer.actions.PlayAction">
         </action>
         -->
          </viewContribution>
         </extension>
</plugin>
